package com.example.rehabilitation.db

import android.provider.BaseColumns
//BaseColumns - удобство данного интерфейса в том, что он уже имеет внутренний автоинкремент для индификации данных и нам не нужно его самим солздавать
object MyDbNameClass: BaseColumns {
    const val TABLE_NAME = "my_table"//Название таблицы
    const val COLUMN_NAME_TITLE = "title"//Название колонки 1
    const val COLUMN_NAME_CONTENT = "content"//Название колонки 2
    const val COLUMN_NAME_IMAGE_URI = "uri"//Название колонки 3
    const val COLUMN_NAME_TIME = "time"//Название колонки 4

    const val DATABASE_VERSION = 1//Версия нужна для того чтобы указывать так сказать стадии, то есть как у телефонов новая версия означает новые обновления и тут также в зависимоти от версии будут добавлены новые детали в базу, изначально первая версия, при изменении версии функция удалит старую и запишите в неё новые данные
    const val DATABASE_NAME = "MyLessonDb.db"//Название файла базы данных

    const val CREATE_TABLE = "CREATE TABLE if NOT EXISTS $TABLE_NAME(" +
            "${BaseColumns._ID} INTEGER PRIMARY KEY," + //Индификатор
            "$COLUMN_NAME_TITLE TEXT," +//Колонка 1
            "$COLUMN_NAME_CONTENT TEXT,"+//Колонка 2
            "$COLUMN_NAME_IMAGE_URI TEXT,"+//Колонка 3
            "$COLUMN_NAME_TIME TEXT)"//Колонка 4

    const val SQL_DELETE_TABLE = "DROP TABLE IF EXISTS $TABLE_NAME"//Сброс(удалить) старую таблицу

}